Package pywbem :: Module cim_obj |
[frames] | no frames]

# Module cim_obj

source code

Representations of CIM objects, and a case-insensitive dictionary.

In general we try to map CIM objects directly into Python primitives, except when that is not possible or would be ambiguous. For example, CIM class names are simply Python strings, but a class path is represented as a special Python object.

These objects can also be mapped back into CIM-XML, by their tocimxml() method which returns a CIM-XML string.

Classes
| NocaseDict Yet another implementation of a case-insensitive dictionary.
| CIMClassName A CIM class path.
| CIMProperty A CIM property.
| CIMInstanceName A CIM instance path (aka instance name).
| CIMInstance A CIM instance, optionally including its instance path.
| CIMClass A CIM class.
| CIMMethod A CIM method.
| CIMParameter A CIM parameter.
| CIMQualifier A CIM qualifier value.
| CIMQualifierDeclaration A CIM qualifier type.

Functions
cmpname(name1, name2) Compare two CIM names. | source code
tocimxml(value) Convert an arbitrary object to CIM xml. | source code
tocimobj(_type, value) Convert a CIM type and a string value into an appropriate builtin type. | source code
byname(nlist) Convert a list of named objects into a map indexed by name | source code

Function Details

### cmpname(name1, name2) | source code
Compare two CIM names. The comparison is done case-insensitively, and one or both of the names may be `None`.

### tocimxml(value) | source code
Convert an arbitrary object to CIM xml. Works with cim_obj objects and builtin types.